#
# spec file for package libHX (Version 1.23)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libHX
%define lname   libHX28
BuildRequires:  gcc-c++ libxml2-devel
Summary:        General-purpose Library
Version:        3.14.1
Release:        2.1
License:        LGPL v2.1 or later; LGPL v3 or later
Prefix:         /usr
Group:          System/Libraries
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define debug_package_requires libHX13 = %{version}-%{release}
Url:            http://jengelh.medozas.de/projects/libHX/

%description
A library for: * A+R/B trees to use for lists or maps (associative
   arrays)

* Deques (double-ended queues) (Stacks (LIFO) / Queues (FIFOs))

* platform independent opendir-style directory access

* platform independent dlopen-style shared library access

* auto-storage strings with direct access

* command line option (argv) parser

* shell-style config file parser

* platform independent random number generator with transparent
   /dev/urandom support

* various string, memory and zvec ops



Authors:
--------
    Jan Engelhardt <jengelh [at] gmx de>

%package -n %{lname}
License:        LGPL v2.1 or later; LGPL v3 or later
Summary:        General-purpose Library
Group:          System/Libraries
#Requires:       %{name} = %{version}

%description -n %{lname}
A library for: - A+R/B trees to use for lists or maps (associative
   arrays)

- Deques (double-ended queues) (Stacks (LIFO) / Queues (FIFOs))

- platform independent opendir-style directory access

- platform independent dlopen-style shared library access

- auto-storage strings with direct access

- command line option (argv) parser

- shell-style config file parser

- platform independent random number generator with transparent
   /dev/urandom support

- various string, memory and zvec ops



Authors:
--------
    Jan Engelhardt <jengelh [at] gmx de>


%package devel
License:        LGPL v2.1 or later
Summary:        General-purpose library
Group:          Development/Libraries/C and C++
Requires:       %{lname} = %{version}

%description devel
A library for: - A+R/B trees to use for lists or maps (associative
   arrays)

- Deques (double-ended queues) (Stacks (LIFO) / Queues (FIFOs))

- platform independent opendir-style directory access

- platform independent dlopen-style shared library access

- auto-storage strings with direct access

- command line option (argv) parser

- shell-style config file parser

- platform independent random number generator with transparent
   /dev/urandom support

- various string, memory and zvec ops



Authors:
--------
    Jan Engelhardt <jengelh [at] gmx de>

%prep
%setup -q -n %{name}-%{version}

%build
%configure --docdir=%{_datadir}/doc/packages/%{name}

make %{?jobs:-j%jobs};
#perl -i -pe 's/^shouldnotlink=yes/shouldnotlink=no/;' \
#        src/%{name}.la src/.libs/%{name}.lai;

%install
make install DESTDIR=${RPM_BUILD_ROOT}
rm -f %{buildroot}%{_datadir}/doc/packages/%{name}/*.pdf

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lname} -p /sbin/ldconfig

%postun -n %{lname} -p /sbin/ldconfig

%files -n %{lname}
%defattr(-, root, root)
%{_libdir}/%{name}*.so.*

%files devel
%defattr(-, root, root)
%doc doc/*.txt
%doc doc/*.pdf
%_includedir/%{name}*
%{_libdir}/%{name}*.so
%{_libdir}/%{name}*.la
%_libdir/pkgconfig/*.pc

%changelog
* Sun Jan 13 2013 cs@linux-administrator.com
- initial build
